package com.qmth.distributed.print.business.bean.result.report.word;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 考生分数bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/1/31
 */
public class ExamStudentScoreBean implements Serializable {

    @ApiModelProperty(name = "作业分数")
    Double score = 0.0d;

    @ApiModelProperty(name = "课程目标考核要素的目标分")
    Double targetAllAvgScore = 0.0d;

    @ApiModelProperty(name = "课程目标考核要素的平均分")
    Double allScore = 0.0d;

    @ApiModelProperty(name = "各课程目标平均分")
    Double avgAllScore = 0.0d;

    public ExamStudentScoreBean() {

    }

    public ExamStudentScoreBean(Double score) {
        this.score = score;
    }

    public ExamStudentScoreBean(Double score, Double targetAllAvgScore, Double avgAllScore) {
        this.score = score;
        this.targetAllAvgScore = targetAllAvgScore;
        this.avgAllScore = avgAllScore;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Double getTargetAllAvgScore() {
        return targetAllAvgScore;
    }

    public void setTargetAllAvgScore(Double targetAllAvgScore) {
        this.targetAllAvgScore = targetAllAvgScore;
    }

    public Double getAllScore() {
        return allScore;
    }

    public void setAllScore(Double allScore) {
        this.allScore = allScore;
    }

    public Double getAvgAllScore() {
        return avgAllScore;
    }

    public void setAvgAllScore(Double avgAllScore) {
        this.avgAllScore = avgAllScore;
    }
}
