package com.qmth.distributed.print.business.bean.result.report.word;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 课程报告表格2bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/1/31
 */
public class CourseTargetTableBean2 extends CourseTargetTableBean1 implements Serializable {

    @ApiModelProperty(name = "平时表现")
    BigDecimal expression = new BigDecimal(0);

    @ApiModelProperty(name = "课后作业")
    BigDecimal homework = new BigDecimal(0);

    @ApiModelProperty(name = "课程实验")
    BigDecimal test = new BigDecimal(0);

    @ApiModelProperty(name = "期末考试")
    BigDecimal exam = new BigDecimal(0);

    @ApiModelProperty(name = "目标分值")
    BigDecimal targetSum = new BigDecimal(0);

    public CourseTargetTableBean2() {

    }

    public CourseTargetTableBean2(String name, String target, BigDecimal expression, BigDecimal homework, BigDecimal test, BigDecimal exam, BigDecimal targetSum) {
        setName(name);
        setTarget(target);
        this.expression = expression;
        this.homework = homework;
        this.test = test;
        this.exam = exam;
        this.targetSum = targetSum;
    }

    public BigDecimal getTargetSum() {
        return targetSum;
    }

    public void setTargetSum(BigDecimal targetSum) {
        this.targetSum = targetSum;
    }

    public BigDecimal getExpression() {
        return expression;
    }

    public void setExpression(BigDecimal expression) {
        this.expression = expression;
    }

    public BigDecimal getHomework() {
        return homework;
    }

    public void setHomework(BigDecimal homework) {
        this.homework = homework;
    }

    public BigDecimal getTest() {
        return test;
    }

    public void setTest(BigDecimal test) {
        this.test = test;
    }

    public BigDecimal getExam() {
        return exam;
    }

    public void setExam(BigDecimal exam) {
        this.exam = exam;
    }
}
