package com.qmth.distributed.print.business.enums;

/**
 * @Description: 课程评价类型枚举
 * @Author: CaoZixuan
 * @Date: 2024-02-28
 */
public enum CourseEvaluationTypeEnum {
    DEFAULT("默认", "按阅卷功能模块里的卷面成绩计算"), CUSTOM("自定义", "");

    private final String name;

    private final String value;

    CourseEvaluationTypeEnum(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public String getValue() {
        return value;
    }
}
